﻿/**
 * マスに数字を設置
 * @param	n	設置する数字
 * @param	x	設置するＸ座標 (マス目上の個数)
 * @param	y	設置するＹ座標
 */
function setNumber(n:Number, x:Number, y:Number):Void
{	
	var numData:Array 	= new Array(10);//数字データ (true=塗りつぶすマス)
	var width:Number 	= 3;			//数字の横幅
	var height:Number	= 5;			//数字の高さ
			
	numData[0] = [
	[ true, true, true],
	[ true,false, true],
	[ true,false, true],
	[ true,false, true],
	[ true, true, true]];
	
	numData[1] = [
	[false, true, true],
	[false,false, true],
	[false,false, true],
	[false,false, true],
	[false,false, true]];
	
	numData[2] = [
	[ true, true, true],
	[false,false, true],
	[ true, true, true],
	[ true,false,false],
	[ true, true, true]];
	
	numData[3] = [ 
	[ true, true, true],
	[false,false, true],
	[ true, true, true],
	[false,false, true],
	[ true, true, true]];
	
	numData[4] = [ 
	[ true,false, true],
	[ true,false, true],
	[ true, true, true],
	[false,false, true],
	[false,false, true]];
	
	numData[5] = [ 
	[ true, true, true],
	[ true,false,false],
	[ true, true, true],
	[false,false, true],
	[ true, true, true]];
	
	numData[6] = [ 
	[ true, true, true],
	[ true,false,false],
	[ true, true, true],
	[ true,false, true],
	[ true, true, true]];
	
	numData[7] = [ 
	[ true, true, true],
	[ true,false, true],
	[false,false, true],
	[false,false, true],
	[false,false, true]];
	
	numData[8] = [ 
	[ true, true, true],
	[ true,false, true],
	[ true, true, true],
	[ true,false, true],
	[ true, true, true]];
	
	numData[9] = [ 
	[ true, true, true],
	[ true,false, true],
	[ true, true, true],
	[false,false, true],
	[false,false, true]];
	
	/*
	// スラッシュ
	numData[10] = [ 
	[false,false, true],
	[false,false, true],
	[false, true,false],
	[ true,false,false],
	[ true,false,false]];
	
	// コロン
	numData[11] = [ 
	[false,false,false],
	[false, true,false],
	[false,false,false],
	[false, true,false],
	[false,false,false]];
	*/
	
	var i:Number, j:Number;
	var ex:Number;
	var ey:Number;
	
	for (j=0; j<height; j++) {
		for (i=0; i<width; i++) {
			ex = x + i;
			ey = y + j;
			
		//	if (ex < _root.xNum && ey < _root.yNum && ex >= 0 && ey >= 0) {
				_root.ary[ey][ex]._visible = numData[n][j][i];
		//	}
		}
	}
}